Bug 972906 - Failure to install bootloader
Failure to install bootloader
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 15:05 EDT by Dave Nystrom
Modified: 2014-02-05 16:45 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1101031 (view as bug list)
Environment:
Last Closed: 2014-02-05 16:45:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Nystrom 2013-06-10 15:05:33 EDT
Description of problem: My attempt to install Fedora 18 failed with the following error messages.

/usr/sbin/grub2-bios-setup: warning: this GPT partition label contains no BIOS Boot Partition; embedding won't be possible.

/usr/sbin/grub2-bios-setup: warning: Embedding is not possible, GRUB can only be installed in this setup by using blocklists.  However, blocklists are UNRELIABLE and their use is discourage..

/usr/bin/grub2-bios-setup: error: will not proceed with blocklists.

I am installing on a system with 6 seagate hardrives which are 3TB in size.  However, I am only installing to the /dev/sda hardrive for this case.  My installation hardrive was pre-partitioned with gparted from Knoppix 7.0.4 live bootable DVD.  It has a gpt partition table with the following partitions:

/dev/sda1          2 MiB           ext4
/dev/sda2       2048 MiB           ext4
/dev/sda3      40960 MiB           ext4
/dev/sda4    1778000 MiB           ext4
/dev/sda5     256000 MiB           ext4
/dev/sda6     768000 MiB           ext4
/dev/sda7      16577 MiB           linux-swap

I then choose to use the customize partitions option of the F18 installer and configure the above existing partitions as follows with each partition being formatted during the install.

/dev/sda1          2 MiB           BIOS Boot
/dev/sda2       2048 MiB           ext4             /boot
/dev/sda3      40960 MiB           ext4             /
/dev/sda4    1778000 MiB           ext4             /home
/dev/sda5     256000 MiB           ext4             /data1
/dev/sda6     768000 MiB           ext4             /data2
/dev/sda7      16577 MiB           swap

The installation process does indicate that /dev/sda1 is being reformatted to the BIOS Boot type.

But the F18 installer indicates that it can't find a BIOS Boot partition.  In the installer, /dev/sda was selected for installation of the boot loader and there was only one of the 6 drives selected for the installation process, that one being /dev/sda.

Version-Release number of selected component (if applicable):

Not sure what the version number was for anaconda but it was from the x86_g4 full installation DVD iso.

How reproducible:

I have reproduced it twice.

Steps to Reproduce:
1.  Boot the F18 installation DVD
2.  Configure installation options
3.  Start install

Actual results:

Install fails with error and warning messages cited above.

Expected results:

A successful install.

Additional info:
Comment 1 Dave Nystrom 2013-06-10 15:10:16 EDT
BTW, I was able to successfully install Fedora 17 on my machine with the initial partitioning scheme mentioned above.  This problem is specific to my attempts to install Fedora 18.
Comment 2 Dave Nystrom 2013-06-15 10:07:03 EDT
I'm stuck and need a path forward.  Is it possible that someone could review my
install procedure above and let me know if I am doing something fundamentally
wrong?
Comment 3 Steve Tyler 2013-08-13 07:00:38 EDT
Have you tried again with F19?

If you have F17 installed, you can use the "fedup" command to upgrade to F18 or F19.

$ sudo repoquery fedup --releasever=17
fedup-0:0.7.3-5.fc17.noarch

$ sudo repoquery fedup --list --releasever=17 | grep man8
/usr/share/man/man8/fedup-cli.8.gz
/usr/share/man/man8/fedup.8.gz
Comment 4 Fedora End Of Life 2013-12-21 08:56:47 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 16:45:16 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.